All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components.barlinechart
Class BarLineChartDataModel

    com.sas.graphics.components.barlinechart.BarLineChartDataModel

Direct Known Subclasses:
  BarLineChartOLAPDataModel, BarLineChartTableDataModel

    @SASScope(value="ALL")
    public abstract class BarLineChartDataModel

Common superclass for all BarLineChart DataModels to provide a "type" of data model that can be assigned to a BarLineChart.

## Usage

A BarLineChartDataModel can be assigned to an instace of the BarLineChart class. Ex:

     BarLineChartDataModel dataModel = new BarLineChartTableDataModel( new SomeTaleModel() ); // See BarLineChartTableDataModel or BarLineChartOLAPDataModel
     BarLineChart barLineChart = new BarLineChart();
     barLineChart.setDataModel(dataModel);

## Behavior

See:
BarLineChartTableDataModel and BarLineChartOLAPDataModel

## Extending

This class provides a type for the BarLineChart's data models but is only intended for internal subclassing.

Since:
  SAS 9.1
See Also:
  `BarLineChartTableDataModel`, `BarLineChartOLAPDataModel`

Constructor Summary
`BarLineChartDataModel()`

Method Summary

Methods inherited from class com.sas.graphics.components.DataModel
`apply, equals, getLocale, getRulesContext, getSortStrategy, hashCode, setLocale, setRulesContext, setSortStrategy`

Methods inherited from class com.sas.graphics.components.ModelBase
`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, setContainedModel`

Constructor Detail

### BarLineChartDataModel

    public BarLineChartDataModel()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.